<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:35:12 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
BasicHttpResponse (HttpCore 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BasicHttpResponse (HttpCore 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicHttpResponse.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/message/BasicHttpRequest.html" title="class in org.apache.http.message"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/message/BasicLineFormatter.html" title="class in org.apache.http.message"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/message/BasicHttpResponse.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicHttpResponse.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.message.AbstractHttpMessage">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.message</FONT>
<BR>
Class BasicHttpResponse</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html" title="class in org.apache.http.message">org.apache.http.message.AbstractHttpMessage</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.message.BasicHttpResponse</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../org/apache/http/HttpMessage.html" title="interface in org.apache.http">HttpMessage</A>, <A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../org/apache/http/annotation/NotThreadSafe.html" title="annotation in org.apache.http.annotation">@NotThreadSafe</A>
</FONT>public class <B>BasicHttpResponse</B><DT>extends <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html" title="class in org.apache.http.message">AbstractHttpMessage</A><DT>implements <A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></DL>
</PRE>

<P>
Basic implementation of <A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http"><CODE>HttpResponse</CODE></A>.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.message.AbstractHttpMessage"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.http.message.<A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html" title="class in org.apache.http.message">AbstractHttpMessage</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#headergroup">headergroup</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#params">params</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#BasicHttpResponse(org.apache.http.ProtocolVersion, int, java.lang.String)">BasicHttpResponse</A></B>(<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver,
                  int&nbsp;code,
                  <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;reason)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a response from elements of a status line.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#BasicHttpResponse(org.apache.http.StatusLine)">BasicHttpResponse</A></B>(<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A>&nbsp;statusline)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a response from a status line.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#BasicHttpResponse(org.apache.http.StatusLine, org.apache.http.ReasonPhraseCatalog, java.util.Locale)">BasicHttpResponse</A></B>(<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A>&nbsp;statusline,
                  <A HREF="../../../../org/apache/http/ReasonPhraseCatalog.html" title="interface in org.apache.http">ReasonPhraseCatalog</A>&nbsp;catalog,
                  <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Locale.html?is-external=true" title="class or interface in java.util">Locale</A>&nbsp;locale)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new response.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#getEntity()">getEntity</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the message entity of this response, if any.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Locale.html?is-external=true" title="class or interface in java.util">Locale</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#getLocale()">getLocale</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the locale of this response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#getProtocolVersion()">getProtocolVersion</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the protocol version this message is compatible with.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#getReason(int)">getReason</A></B>(int&nbsp;code)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Looks up a reason phrase.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#getStatusLine()">getStatusLine</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the status line of this response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#setEntity(org.apache.http.HttpEntity)">setEntity</A></B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Associates a response entity with this response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#setLocale(java.util.Locale)">setLocale</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Locale.html?is-external=true" title="class or interface in java.util">Locale</A>&nbsp;loc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Changes the locale of this response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#setReasonPhrase(java.lang.String)">setReasonPhrase</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;reason)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Updates the status line of this response with a new reason phrase.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#setStatusCode(int)">setStatusCode</A></B>(int&nbsp;code)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Updates the status line of this response with a new status code.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#setStatusLine(org.apache.http.ProtocolVersion, int)">setStatusLine</A></B>(<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver,
              int&nbsp;code)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the status line of this response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#setStatusLine(org.apache.http.ProtocolVersion, int, java.lang.String)">setStatusLine</A></B>(<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver,
              int&nbsp;code,
              <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;reason)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the status line of this response with a reason phrase.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#setStatusLine(org.apache.http.StatusLine)">setStatusLine</A></B>(<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A>&nbsp;statusline)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the status line of this response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpResponse.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.message.AbstractHttpMessage"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.message.<A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html" title="class in org.apache.http.message">AbstractHttpMessage</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#addHeader(org.apache.http.Header)">addHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#addHeader(java.lang.String, java.lang.String)">addHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#containsHeader(java.lang.String)">containsHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getAllHeaders()">getAllHeaders</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getFirstHeader(java.lang.String)">getFirstHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getHeaders(java.lang.String)">getHeaders</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getLastHeader(java.lang.String)">getLastHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getParams()">getParams</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#headerIterator()">headerIterator</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#headerIterator(java.lang.String)">headerIterator</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#removeHeader(org.apache.http.Header)">removeHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#removeHeaders(java.lang.String)">removeHeaders</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#setHeader(org.apache.http.Header)">setHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#setHeader(java.lang.String, java.lang.String)">setHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#setHeaders(org.apache.http.Header[])">setHeaders</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#setParams(org.apache.http.params.HttpParams)">setParams</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.HttpMessage"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.<A HREF="../../../../org/apache/http/HttpMessage.html" title="interface in org.apache.http">HttpMessage</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/HttpMessage.html#addHeader(org.apache.http.Header)">addHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#addHeader(java.lang.String, java.lang.String)">addHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#containsHeader(java.lang.String)">containsHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getAllHeaders()">getAllHeaders</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getFirstHeader(java.lang.String)">getFirstHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getHeaders(java.lang.String)">getHeaders</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getLastHeader(java.lang.String)">getLastHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getParams()">getParams</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#headerIterator()">headerIterator</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#headerIterator(java.lang.String)">headerIterator</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#removeHeader(org.apache.http.Header)">removeHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#removeHeaders(java.lang.String)">removeHeaders</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#setHeader(org.apache.http.Header)">setHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#setHeader(java.lang.String, java.lang.String)">setHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#setHeaders(org.apache.http.Header[])">setHeaders</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#setParams(org.apache.http.params.HttpParams)">setParams</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BasicHttpResponse(org.apache.http.StatusLine, org.apache.http.ReasonPhraseCatalog, java.util.Locale)"><!-- --></A><H3>
BasicHttpResponse</H3>
<PRE>
public <B>BasicHttpResponse</B>(<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A>&nbsp;statusline,
                         <A HREF="../../../../org/apache/http/ReasonPhraseCatalog.html" title="interface in org.apache.http">ReasonPhraseCatalog</A>&nbsp;catalog,
                         <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Locale.html?is-external=true" title="class or interface in java.util">Locale</A>&nbsp;locale)</PRE>
<DL>
<DD>Creates a new response.
 This is the constructor to which all others map.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>statusline</CODE> - the status line<DD><CODE>catalog</CODE> - the reason phrase catalog, or
                          <code>null</code> to disable automatic
                          reason phrase lookup<DD><CODE>locale</CODE> - the locale for looking up reason phrases, or
                          <code>null</code> for the system locale</DL>
</DL>
<HR>

<A NAME="BasicHttpResponse(org.apache.http.StatusLine)"><!-- --></A><H3>
BasicHttpResponse</H3>
<PRE>
public <B>BasicHttpResponse</B>(<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A>&nbsp;statusline)</PRE>
<DL>
<DD>Creates a response from a status line.
 The response will not have a reason phrase catalog and
 use the system default locale.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>statusline</CODE> - the status line</DL>
</DL>
<HR>

<A NAME="BasicHttpResponse(org.apache.http.ProtocolVersion, int, java.lang.String)"><!-- --></A><H3>
BasicHttpResponse</H3>
<PRE>
public <B>BasicHttpResponse</B>(<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver,
                         int&nbsp;code,
                         <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;reason)</PRE>
<DL>
<DD>Creates a response from elements of a status line.
 The response will not have a reason phrase catalog and
 use the system default locale.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>ver</CODE> - the protocol version of the response<DD><CODE>code</CODE> - the status code of the response<DD><CODE>reason</CODE> - the reason phrase to the status code, or
                  <code>null</code></DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getProtocolVersion()"><!-- --></A><H3>
getProtocolVersion</H3>
<PRE>
public <A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A> <B>getProtocolVersion</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpMessage.html#getProtocolVersion()">HttpMessage</A></CODE></B></DD>
<DD>Returns the protocol version this message is compatible with.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpMessage.html#getProtocolVersion()">getProtocolVersion</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpMessage.html" title="interface in org.apache.http">HttpMessage</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getStatusLine()"><!-- --></A><H3>
getStatusLine</H3>
<PRE>
public <A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A> <B>getStatusLine</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#getStatusLine()">HttpResponse</A></CODE></B></DD>
<DD>Obtains the status line of this response.
 The status line can be set using one of the
 <A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.StatusLine)"><CODE>setStatusLine</CODE></A> methods,
 or it can be initialized in a constructor.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#getStatusLine()">getStatusLine</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the status line, or <code>null</code> if not yet set</DL>
</DD>
</DL>
<HR>

<A NAME="getEntity()"><!-- --></A><H3>
getEntity</H3>
<PRE>
public <A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A> <B>getEntity</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#getEntity()">HttpResponse</A></CODE></B></DD>
<DD>Obtains the message entity of this response, if any.
 The entity is provided by calling <A HREF="../../../../org/apache/http/HttpResponse.html#setEntity(org.apache.http.HttpEntity)"><CODE>setEntity</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#getEntity()">getEntity</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the response entity, or
          <code>null</code> if there is none</DL>
</DD>
</DL>
<HR>

<A NAME="getLocale()"><!-- --></A><H3>
getLocale</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Locale.html?is-external=true" title="class or interface in java.util">Locale</A> <B>getLocale</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#getLocale()">HttpResponse</A></CODE></B></DD>
<DD>Obtains the locale of this response.
 The locale is used to determine the reason phrase
 for the <A HREF="../../../../org/apache/http/HttpResponse.html#setStatusCode(int)"><CODE>status code</CODE></A>.
 It can be changed using <A HREF="../../../../org/apache/http/HttpResponse.html#setLocale(java.util.Locale)"><CODE>setLocale</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#getLocale()">getLocale</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the locale of this response, never <code>null</code></DL>
</DD>
</DL>
<HR>

<A NAME="setStatusLine(org.apache.http.StatusLine)"><!-- --></A><H3>
setStatusLine</H3>
<PRE>
public void <B>setStatusLine</B>(<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A>&nbsp;statusline)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.StatusLine)">HttpResponse</A></CODE></B></DD>
<DD>Sets the status line of this response.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.StatusLine)">setStatusLine</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>statusline</CODE> - the status line of this response</DL>
</DD>
</DL>
<HR>

<A NAME="setStatusLine(org.apache.http.ProtocolVersion, int)"><!-- --></A><H3>
setStatusLine</H3>
<PRE>
public void <B>setStatusLine</B>(<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver,
                          int&nbsp;code)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.ProtocolVersion, int)">HttpResponse</A></CODE></B></DD>
<DD>Sets the status line of this response.
 The reason phrase will be determined based on the current
 <A HREF="../../../../org/apache/http/HttpResponse.html#getLocale()"><CODE>locale</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.ProtocolVersion, int)">setStatusLine</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ver</CODE> - the HTTP version<DD><CODE>code</CODE> - the status code</DL>
</DD>
</DL>
<HR>

<A NAME="setStatusLine(org.apache.http.ProtocolVersion, int, java.lang.String)"><!-- --></A><H3>
setStatusLine</H3>
<PRE>
public void <B>setStatusLine</B>(<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver,
                          int&nbsp;code,
                          <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;reason)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.ProtocolVersion, int, java.lang.String)">HttpResponse</A></CODE></B></DD>
<DD>Sets the status line of this response with a reason phrase.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.ProtocolVersion, int, java.lang.String)">setStatusLine</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ver</CODE> - the HTTP version<DD><CODE>code</CODE> - the status code<DD><CODE>reason</CODE> - the reason phrase, or <code>null</code> to omit</DL>
</DD>
</DL>
<HR>

<A NAME="setStatusCode(int)"><!-- --></A><H3>
setStatusCode</H3>
<PRE>
public void <B>setStatusCode</B>(int&nbsp;code)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setStatusCode(int)">HttpResponse</A></CODE></B></DD>
<DD>Updates the status line of this response with a new status code.
 The status line can only be updated if it is available. It must
 have been set either explicitly or in a constructor.
 <br/>
 The reason phrase will be updated according to the new status code,
 based on the current <A HREF="../../../../org/apache/http/HttpResponse.html#getLocale()"><CODE>locale</CODE></A>. It can be set
 explicitly using <A HREF="../../../../org/apache/http/HttpResponse.html#setReasonPhrase(java.lang.String)"><CODE>setReasonPhrase</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setStatusCode(int)">setStatusCode</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>code</CODE> - the HTTP status code.<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/http/HttpStatus.html" title="interface in org.apache.http"><CODE>HttpStatus</CODE></A>, 
<A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.StatusLine)"><CODE>HttpResponse.setStatusLine(StatusLine)</CODE></A>, 
<A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.ProtocolVersion, int)"><CODE>HttpResponse.setStatusLine(ProtocolVersion,int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setReasonPhrase(java.lang.String)"><!-- --></A><H3>
setReasonPhrase</H3>
<PRE>
public void <B>setReasonPhrase</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;reason)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setReasonPhrase(java.lang.String)">HttpResponse</A></CODE></B></DD>
<DD>Updates the status line of this response with a new reason phrase.
 The status line can only be updated if it is available. It must
 have been set either explicitly or in a constructor.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setReasonPhrase(java.lang.String)">setReasonPhrase</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>reason</CODE> - the new reason phrase as a single-line string, or
                  <code>null</code> to unset the reason phrase<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.StatusLine)"><CODE>HttpResponse.setStatusLine(StatusLine)</CODE></A>, 
<A HREF="../../../../org/apache/http/HttpResponse.html#setStatusLine(org.apache.http.ProtocolVersion, int)"><CODE>HttpResponse.setStatusLine(ProtocolVersion,int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setEntity(org.apache.http.HttpEntity)"><!-- --></A><H3>
setEntity</H3>
<PRE>
public void <B>setEntity</B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setEntity(org.apache.http.HttpEntity)">HttpResponse</A></CODE></B></DD>
<DD>Associates a response entity with this response.
 <p/>
 Please note that if an entity has already been set for this response and it depends on 
 an input stream (<A HREF="../../../../org/apache/http/HttpEntity.html#isStreaming()"><CODE>HttpEntity.isStreaming()</CODE></A> returns <code>true</code>), 
 it must be fully consumed in order to ensure release of resources.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setEntity(org.apache.http.HttpEntity)">setEntity</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>entity</CODE> - the entity to associate with this response, or
                  <code>null</code> to unset<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/http/HttpEntity.html#isStreaming()"><CODE>HttpEntity.isStreaming()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setLocale(java.util.Locale)"><!-- --></A><H3>
setLocale</H3>
<PRE>
public void <B>setLocale</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Locale.html?is-external=true" title="class or interface in java.util">Locale</A>&nbsp;loc)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setLocale(java.util.Locale)">HttpResponse</A></CODE></B></DD>
<DD>Changes the locale of this response.
 If there is a status line, it's reason phrase will be updated
 according to the status code and new locale.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpResponse.html#setLocale(java.util.Locale)">setLocale</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>loc</CODE> - the new locale<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/http/HttpResponse.html#getLocale()"><CODE>getLocale</CODE></A>, 
<A HREF="../../../../org/apache/http/HttpResponse.html#setStatusCode(int)"><CODE>setStatusCode</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getReason(int)"><!-- --></A><H3>
getReason</H3>
<PRE>
protected <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>getReason</B>(int&nbsp;code)</PRE>
<DL>
<DD>Looks up a reason phrase.
 This method evaluates the currently set catalog and locale.
 It also handles a missing catalog.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>code</CODE> - the status code for which to look up the reason
<DT><B>Returns:</B><DD>the reason phrase, or <code>null</code> if there is none</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>toString</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicHttpResponse.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/message/BasicHttpRequest.html" title="class in org.apache.http.message"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/message/BasicLineFormatter.html" title="class in org.apache.http.message"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/message/BasicHttpResponse.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicHttpResponse.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.message.AbstractHttpMessage">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
